<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    tools:context=".GenieActivity">


    <TextView
        android:id="@+id/genieText"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="220dp"
        android:layout_x="300dp"
        android:layout_y="50dp"
        android:background="#EEEEEE"
        android:gravity="center_horizontal"
        android:text="no pkt fetched"
        android:textColor="#4287f5"
        android:textSize="10sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.157"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/infoButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="230dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_x="100px"
        android:layout_y="100px"
        android:background="#4287f5"
        android:onClick="getInfo"
        android:text="get last packet"
        android:textColor="#ffffff"
        android:textSize="10sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/sendButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="320dp"
        android:layout_marginEnd="100dp"
        android:layout_marginBottom="20dp"
        android:background="#343d46"
        android:onClick="sendTestSyn"
        android:text="send tcp syn pkt"
        android:textColor="#ffffff"
        app:layout_constraintBottom_toTopOf="@+id/rstButton"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/rstButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="100dp"
        android:background="#343d46"
        android:onClick="sendTestRst"
        android:text="send tcp ack pkt"
        android:textColor="#ffffff"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/sendButton" />


    <EditText
        android:id="@+id/sourceInput"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginTop="70dp"
        android:layout_marginEnd="150dp"
        android:ems="10"
        android:gravity="center_horizontal"
        android:hint="Source IP address"
        android:inputType="textEmailAddress"
        android:text="10.1.10.4"
        android:textColor="#4287f5"
        android:textSize="22sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/infoButton" />

    <EditText
        android:id="@+id/destInput"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="150dp"
        android:ems="10"
        android:gravity="center_horizontal"
        android:hint="Destination IP address"
        android:inputType="textEmailAddress"
        android:text="9.9.9.9"
        android:textColor="#4287f5"
        android:textSize="22sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/sourceInput" />

    <Button
        android:id="@+id/pshButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="100dp"
        android:background="#343d46"
        android:onClick="sendTestPsh"
        android:text="send psh pkt"
        android:textColor="#ffffff"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/rstButton" />

    <EditText
        android:id="@+id/sourcePortInput"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="50dp"
        android:ems="10"
        android:inputType="number"
        android:text="40402"
        android:gravity="center_horizontal"
        android:textSize="22sp"
        android:textColor="#30a636"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/sourceInput"
        app:layout_constraintTop_toTopOf="@+id/sourceInput" />

    <EditText
        android:id="@+id/destPortInput"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="50dp"
        android:ems="10"
        android:gravity="center_horizontal"
        android:inputType="number"
        android:text="50505"
        android:textColor="#30a636"
        android:textSize="22sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/destInput"
        app:layout_constraintTop_toTopOf="@+id/destInput" />

    <Button
        android:id="@+id/getConnButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="100dp"
        android:background="#343d46"
        android:onClick="updateTcpConn"
        android:text="get tcp conn"
        android:textColor="#ffffff"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/pshButton" />

    <Button
        android:id="@+id/flipSrcDst"
        android:layout_width="80dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="5dp"
        android:background="#eeeeeeee"
        android:onClick="flipSrcDst"
        android:text="flip src/dst"
        android:textColor="#343d46"
        app:layout_constraintBottom_toTopOf="@+id/sourceInput"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/infoButton" />

    <Button
        android:id="@+id/pingButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="80dp"
        android:layout_marginEnd="100dp"
        android:background="#36AE7C"
        android:onClick="sendTestPing"
        android:text="send icmp ping pkt"
        android:textColor="#ffffff"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/pshButton" />

    <Button
        android:id="@+id/udpButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="100dp"
        android:onClick="sendTestUdp"
        android:text="send udp pkt"
        android:background="#36AE7C"
        android:textColor="#ffffff"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/pingButton" />

    <EditText
        android:id="@+id/tcpSeqInput"
        android:layout_width="120dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:ems="10"
        android:inputType="text"
        android:text="tcp seq #"
        app:layout_constraintStart_toEndOf="@+id/flipSrcDst"
        app:layout_constraintTop_toTopOf="@+id/flipSrcDst" />

    <EditText
        android:id="@+id/tcpAckInput"
        android:layout_width="50dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:ems="10"
        android:inputType="text"
        android:text="tcp ack #"
        app:layout_constraintStart_toEndOf="@+id/tcpSeqInput"
        app:layout_constraintTop_toTopOf="@+id/tcpSeqInput" />

    <EditText
        android:id="@+id/ttlVal"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="50dp"
        android:ems="10"
        android:gravity="center_horizontal"
        android:inputType="number"
        android:text="ttl"
        android:textColor="#123456"
        android:background="#eeeeee"
        android:textSize="22sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/destPortInput"
        app:layout_constraintTop_toBottomOf="@+id/destPortInput" />


</androidx.constraintlayout.widget.ConstraintLayout>